Bug 196810 - [NEW PORT] www/kanboard: Simple visual task board software
Summary: [NEW PORT] www/kanboard: Simple visual task board software
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-16 22:02 UTC by Bart Wrobel
Modified: 2015-07-30 03:35 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
kanboard.shar file (73.91 KB, application/x-shar)
2015-01-16 22:02 UTC, Bart Wrobel
no flags Details
shar for 1.0.12 (77.98 KB, application/x-shar)
2015-02-22 21:58 UTC, Bart Wrobel
no flags Details
shar for 1.0.13 (81.77 KB, application/x-shar)
2015-04-09 21:15 UTC, Bart Wrobel
no flags Details
kanboard 1.0.14 shar file (83.14 KB, application/x-shar)
2015-05-03 19:28 UTC, Bart Wrobel
no flags Details
Upstream was updated. (84.31 KB, application/x-shar)
2015-06-06 21:09 UTC, Bart Wrobel
no flags Details
kanboard 1.0.16 (87.15 KB, application/x-shar)
2015-07-02 21:13 UTC, Bart Wrobel
no flags Details
portlint results (26 bytes, text/plain)
2015-07-03 12:00 UTC, Bart Wrobel
no flags Details
poudriere testport console results (25 bytes, text/plain)
2015-07-03 12:01 UTC, Bart Wrobel
no flags Details
portlint console results (121 bytes, text/plain)
2015-07-03 12:04 UTC, Bart Wrobel
no flags Details
poudriere testport console results (3.73 KB, application/x-xz)
2015-07-03 12:05 UTC, Bart Wrobel
no flags Details
poudriere testport full log directory (410.81 KB, application/x-xz)
2015-07-03 12:07 UTC, Bart Wrobel
no flags Details
kanboard 1.0.16, after portlint (86.99 KB, application/x-shar)
2015-07-03 12:10 UTC, Bart Wrobel
no flags Details
poudriere testport console results (3.69 KB, application/x-xz)
2015-07-29 22:06 UTC, Bart Wrobel
no flags Details
kanboard.shar, v1.0.17 (79.40 KB, application/x-shar)
2015-07-29 22:08 UTC, Bart Wrobel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Wrobel 2015-01-16 22:02:40 UTC
Created attachment 151749 [details]
kanboard.shar file

Main features:

* Kanban methodology
* Visualize your work
* Limit your work in progress to be more efficient
* Customize your boards according to your business activities
* Multiple boards with the ability to drag and drop tasks
* Minimalist software, focus only on essential features (Less is more)
* Fast and simple to use
* Access from anywhere with a modern browser
* Free, open source and self-hosted
* Super simple installation

WWW: http://kanboard.net/


Source:
https://bitbucket.org/if0/freebsd-kanboard/src
Comment 1 Bart Wrobel 2015-02-22 21:57:27 UTC
There was an upstream update, uploading new shar.
Comment 2 Bart Wrobel 2015-02-22 21:58:29 UTC
Created attachment 153336 [details]
shar for 1.0.12

Version update
Comment 3 Bart Wrobel 2015-04-09 21:15:31 UTC
Created attachment 155390 [details]
shar for 1.0.13

Updated version as upstream was updated.
Comment 4 Bart Wrobel 2015-05-03 19:27:36 UTC
Comment on attachment 155390 [details]
shar for 1.0.13

new version
Comment 5 Bart Wrobel 2015-05-03 19:28:28 UTC
Created attachment 156304 [details]
kanboard 1.0.14 shar file

Updated version as upstream was updated.
Comment 6 Bart Wrobel 2015-06-06 21:09:42 UTC
Created attachment 157484 [details]
Upstream was updated.

Adding new version as upstream was updated.
Comment 7 Bart Wrobel 2015-07-02 21:13:33 UTC
Created attachment 158272 [details]
kanboard 1.0.16

Upstream was updated;
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-03 03:35:28 UTC
Thanks for your submission Bart.

Please run and include QA results (as attachments):

 * portlint -AC output
 * poudriere testport (or bulk -t) output

I can see a number of issues these tools will identify that need to be addressed prior to commit.
Comment 9 Bart Wrobel 2015-07-03 12:00:43 UTC
Created attachment 158284 [details]
portlint results
Comment 10 Bart Wrobel 2015-07-03 12:01:42 UTC
Created attachment 158285 [details]
poudriere testport console results
Comment 11 Bart Wrobel 2015-07-03 12:04:52 UTC
Created attachment 158286 [details]
portlint console results
Comment 12 Bart Wrobel 2015-07-03 12:05:41 UTC
Created attachment 158287 [details]
poudriere testport console results
Comment 13 Bart Wrobel 2015-07-03 12:07:07 UTC
Created attachment 158288 [details]
poudriere testport full log directory
Comment 14 Bart Wrobel 2015-07-03 12:10:52 UTC
Created attachment 158289 [details]
kanboard 1.0.16, after portlint
Comment 15 Bart Wrobel 2015-07-03 12:15:07 UTC
Uploaded results of:

  * portlint -AC
  * shar with updated port after portlint -AC
  * poudriere testport console output
  * poudriere log files

What else is needed?

Bart
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-03 12:44:53 UTC
Perfect Bart :)

In future, full directory tars are not needed, but you get a gold star for the effort!
Comment 17 commit-hook freebsd_committer 2015-07-12 18:11:29 UTC
A commit references this bug:

Author: riggs
Date: Sun Jul 12 18:11:20 UTC 2015
New revision: 391828
URL: https://svnweb.freebsd.org/changeset/ports/391828

Log:
  New port: www/kanboard, a simple visual task board software

  PR:		196810
  Submitted by:	bsd@if0.eu (maintainer)

Changes:
  head/www/Makefile
  head/www/kanboard/
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-descr
  head/www/kanboard/pkg-plist
Comment 18 Thomas Zander freebsd_committer 2015-07-12 18:13:10 UTC
Finally committed to the tree. Thank you for your diligence and patience.
Comment 19 Bart Wrobel 2015-07-29 22:06:54 UTC
Created attachment 159375 [details]
poudriere testport console results

poudriere testport console results for v.1.0.17
Comment 20 Bart Wrobel 2015-07-29 22:08:52 UTC
Created attachment 159376 [details]
kanboard.shar, v1.0.17

new kanboard.shar, v1.0.17
Comment 21 Bart Wrobel 2015-07-29 22:10:27 UTC
There was an update of upstream.

License was changed too, from AGPLv3 to MIT.


BTW:
How do I provide the changes? By this bug report? By new bug report?
Thanks in advance!
Comment 22 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-30 03:35:23 UTC
(In reply to Bart Wrobel from comment #21)

Please create a new issue as this one is now resolved. Thanks!